> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Doc Properties

> Updates the properties of an individual document in place. This call can
be used to replace one or more properties with a new value. The update
syntax is based on [JSON Patch](https://jsonpatch.com), though we
currently support only the replace operation.



## OpenAPI

````yaml api-reference/endpoint/platform/openapi.json patch /v1/storage/docsets/{docset_id}/docs/{doc_id}/properties
openapi: 3.1.0
info:
  title: Aryn Platform API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
security: []
paths:
  /v1/storage/docsets/{docset_id}/docs/{doc_id}/properties:
    patch:
      tags:
        - Document
      summary: Update Doc Properties
      description: |-
        Updates the properties of an individual document in place. This call can
        be used to replace one or more properties with a new value. The update
        syntax is based on [JSON Patch](https://jsonpatch.com), though we
        currently support only the replace operation.
      operationId: >-
        update_doc_properties_v1_storage_docsets__docset_id__docs__doc_id__properties_patch
      parameters:
        - name: docset_id
          in: path
          required: true
          schema:
            type: string
            description: The id of the DocSet containing the document to update.
            title: Docset Id
          description: The id of the DocSet containing the document to update.
        - name: doc_id
          in: path
          required: true
          schema:
            type: string
            description: The id of the document to update.
            title: Doc Id
          description: The id of the document to update.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FieldUpdates'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Document'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FieldUpdates:
      properties:
        operations:
          items:
            $ref: '#/components/schemas/ReplaceOperation'
          type: array
          title: Operations
          description: A list of updates to a document that will be applied sequentially.
      type: object
      required:
        - operations
      title: FieldUpdates
    Document:
      properties:
        id:
          type: string
          title: Id
          description: The unique id for the Document.
        elements:
          items:
            $ref: '#/components/schemas/Element'
          type: array
          title: Elements
          description: The elements contained in the Document.
          default: []
        properties:
          additionalProperties: true
          type: object
          title: Properties
          description: A map of properties for the Document.
          default: {}
        binary_data:
          anyOf:
            - type: string
            - type: 'null'
          title: Binary Data
          description: The binary content of the document, encoded as a base64 string.
      type: object
      required:
        - id
      title: Document
      description: ''
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReplaceOperation:
      properties:
        op:
          type: string
          const: replace
          title: Op
          description: >-
            The type of JSON Patch operation. Currently only 'replace' is
            supported
          default: replace
        path:
          title: Path
          description: >-
            a [JSON Pointer](https://datatracker.ietf.org/doc/html/rfc6901)
            object identifying the value to be replaced.
        value:
          $ref: '#/components/schemas/JsonValue'
          description: The new value to replace the existing value.
      type: object
      required:
        - path
        - value
      title: ReplaceOperation
    Element:
      properties:
        id:
          type: string
          title: Id
          description: The unique id for the Element.
        type:
          type: string
          title: Type
          description: The type of the Element.
        text_representation:
          anyOf:
            - type: string
            - type: 'null'
          title: Text Representation
          description: The text representation of the Element.
        embedding:
          anyOf:
            - items:
                type: number
              type: array
            - type: 'null'
          title: Embedding
          description: The vector embedding of the Element.
        properties:
          additionalProperties: true
          type: object
          title: Properties
          description: A map of properties for the Element.
          default: {}
        bbox:
          prefixItems:
            - type: number
            - type: number
            - type: number
            - type: number
          type: array
          maxItems: 4
          minItems: 4
          title: Bbox
          description: The bounding box of the Element.
      type: object
      required:
        - id
        - type
        - text_representation
        - embedding
        - bbox
      title: Element
      description: ''
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    JsonValue: {}
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````